Stellaris

Stellaris

Not enough ratings
Double Civics and Traits
   
Award
Favorite
Favorited
Unfavorite
File Size
Posted
Updated
213.029 KB
Aug 12, 2019 @ 3:04am
Mar 7, 2022 @ 11:41am
8 Change Notes ( view )

Subscribe to download
Double Civics and Traits

In 1 collection by Ruby
Ruby 2.8.1
37 items
Description
Doubles the number of civics and traits available when creating civs.

This mod is based on a previous version in the workshop that I used to use all the time but that eventually stopped working.

Last updated 7th March 2022 to fix a problem with robotic pops. The latest version that I tested this working correctly with is Stellaris 3.3.2.

I don't play Stellaris that often, so it's possible that future versions will break something without me noticing. Usually weird things start happening if Paradox updates the species archetypes file. It's usually less than 1 hour of work for me to patch this for future versions, so if you're having problems on a newer version of the game than the one listed above, please try to contact me so I can patch the mod for you.
< >
12 Comments
Ruby  [author] Mar 7, 2022 @ 11:48am 
Hi,
I'm sorry for the delay in patching the mod.
It should be fixed now.
Captain Blackmane Mar 3, 2022 @ 11:51pm 
Can confirm Panzermensch's note. Robotic pops cannot be assembled.
Kaps Nov 6, 2021 @ 4:44pm 
Mod currently doesn't let factions build robotic pop
Ruby  [author] Mar 25, 2021 @ 12:21am 
Should be fixed now. Thanks for reporting it :)
Captain Blackmane Mar 24, 2021 @ 8:38am 
Something is occuring where this mod prevents Lithoids from choosing traits for me. I'm uncertain what the issue is. Disabling this mod alone fixes the issue. Outside of Lithoids this works for everything else. Just thought I'd let the author know, in case a recent 2.8 patch caused this.
Ruby  [author] Feb 24, 2021 @ 8:57am 
Not as far as I know. It's possible that some other mod is conflicting, but I'm not currently aware of any known conflicts (or at least nobody reported any). It's also possible the Steam Workshop is just being dumb :/
kevin.berwick Feb 15, 2021 @ 2:18pm 
Didn't seem to have any effect when I tried - civics and traits remained capped at 2 and 5 respectively - does load order matter with this?
Ruby  [author] Feb 14, 2021 @ 6:40am 
I haven't played Stellaris recently, but I just tested this on 2.8.1 without making any edits and it still seems to work perfectly fine.

The message 'This mod requires version 2.7.*' in the Paradox launcher can just be ignored.
kevin.berwick Feb 13, 2021 @ 7:14pm 
Sadly doesn't work in 2.8
Ruby  [author] Jul 2, 2020 @ 10:39pm 
It should be fixed now